package com.bonus.material.materialStation.service;


import com.bonus.common.biz.domain.lease.LeaseApplyInfo;
import com.bonus.common.biz.domain.lease.LeasePublishInfo;
import com.bonus.common.core.web.domain.AjaxResult;
import com.bonus.material.materialStation.domain.ProAuthorizeDetails;
import com.bonus.material.materialStation.domain.ProAuthorizeInfo;
import org.springframework.web.bind.annotation.RequestPart;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * @author hay
 * @description 项目部授权
 * @date 2025/6/18 21:54
 */
public interface ProAuthorizeService {


    /**
    * 查询列表
    * @param leaseApplyInfo
    * @return
    */
    List<LeasePublishInfo> getPublishList(LeaseApplyInfo leaseApplyInfo);

    /**
    * 上传与识别图片
    * @param filePath
     * @param type
    * @return
    */
    AjaxResult uploadPhoto(String filePath, Long  type);

    /**
     * 授权提交
     * @param bean
     * @return
     */
    AjaxResult authorizeSubmit(ProAuthorizeInfo bean);

    /**
     * 授权信息查看
     * @param bean
     * @return
     */
    AjaxResult authorizeView(ProAuthorizeInfo bean);

    AjaxResult authorizeInfoView(ProAuthorizeInfo bean);


    /**
     * 授权书电子签名
     */
    int updateAuthorizeInfoSign(ProAuthorizeDetails bean);

    List<ProAuthorizeInfo> getAuthorList(ProAuthorizeInfo bean);
}
